## com.puppycrawl.tools.checkstyle.checks.indentation
Class ArrayInitHandler

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
          com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
              com.puppycrawl.tools.checkstyle.checks.indentation.ArrayInitHandler

    public class ArrayInitHandler

extends BlockParentHandler

Handler for array initialization blocks.

Author:
  jrichard

Constructor Summary
`ArrayInitHandler(IndentationCheck aIndentCheck, DetailAST aAst, ExpressionHandler aParent)` Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

Method Summary
`protected boolean` `childrenMayNest()` Determines if child elements within the expression may be nested.
`protected IndentLevel` `getChildrenExpectedLevel()`
`protected DetailAST` `getLCurly()` Get the left curly brace portion of the expression we are handling.
`protected IndentLevel` `getLevelImpl()` Compute the indentation amount for this handler.
`protected DetailAST` `getListChild()` Get the child element representing the list of statements.
`protected DetailAST` `getRCurly()` Get the right curly brace portion of the expression we are handling.
`protected DetailAST` `getToplevelAST()` There is no top level expression for this handler.
`protected boolean` `rcurlyMustStart()` Determines if the right curly brace must be at the start of the line.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
`checkIndentation, checkLCurly, checkRCurly, checkToplevelToken, getCheckedChildren, getLParen, getNonlistChild, getRParen, hasCurlys, suggestedChildLevel, toplevelMustStartLine`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
`checkChildren, checkExpressionSubtree, checkLinesIndent, checkLParen, checkModifiers, checkRParen, expandedTabsColumnNo, findSubtreeLines, getBasicOffset, getBraceAdjustement, getFirstLine, getIndentCheck, getLevel, getLineStart, getLineStart, getMainAst, getParent, logError, logError, shouldIncreaseIndent, startsLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayInitHandler

    public ArrayInitHandler(IndentationCheck aIndentCheck,
                            DetailAST aAst,
                            ExpressionHandler aParent)

  Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

  Parameters:
    `aIndentCheck` - the indentation check
    `aAst` - the abstract syntax tree
    `aParent` - the parent handler

Method Detail

### getLevelImpl

    protected IndentLevel getLevelImpl()

  Compute the indentation amount for this handler.

  Overrides:
    `getLevelImpl` in class `ExpressionHandler`
  Returns:
    the expected indentation amount

### getToplevelAST

    protected DetailAST getToplevelAST()

  There is no top level expression for this handler.

  Overrides:
    `getToplevelAST` in class `BlockParentHandler`
  Returns:
    null

### getLCurly

    protected DetailAST getLCurly()

  Get the left curly brace portion of the expression we are handling.

  Overrides:
    `getLCurly` in class `BlockParentHandler`
  Returns:
    the left curly brace expression

### getRCurly

    protected DetailAST getRCurly()

  Get the right curly brace portion of the expression we are handling.

  Overrides:
    `getRCurly` in class `BlockParentHandler`
  Returns:
    the right curly brace expression

### rcurlyMustStart

    protected boolean rcurlyMustStart()

  Determines if the right curly brace must be at the start of the line.

  Overrides:
    `rcurlyMustStart` in class `BlockParentHandler`
  Returns:
    false

### childrenMayNest

    protected boolean childrenMayNest()

  Determines if child elements within the expression may be nested.

  Overrides:
    `childrenMayNest` in class `BlockParentHandler`
  Returns:
    true

### getListChild

    protected DetailAST getListChild()

  Get the child element representing the list of statements.

  Overrides:
    `getListChild` in class `BlockParentHandler`
  Returns:
    the statement list child

### getChildrenExpectedLevel

    protected IndentLevel getChildrenExpectedLevel()

  Overrides:
    `getChildrenExpectedLevel` in class `BlockParentHandler`
  Returns:
    indentation level expected for children

Back to the Checkstyle Home Page